For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all task dependency templates for a given task bundle.
      • POSTCreates a task dependency template for two task templates of the given task bundle.
      • GETReturns a task dependency template by id for a given task bundle.
      • DELDeletes the task dependency template from the task bundle.
      • GETReturns the task dependency templates for a given task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Dependency Templates

Deletes the task dependency template from the task bundle.

DELETE
https://api.awork.com/api/v1/taskbundles/:taskBundleId/taskdependencytemplates/:taskDependencyTemplateId
DELETE
/api/v1/taskbundles/:taskBundleId/taskdependencytemplates/:taskDependencyTemplateId
$curl -X DELETE https://api.awork.com/api/v1/taskbundles/taskBundleId/taskdependencytemplates/taskDependencyTemplateId \
> -H "Authorization: Bearer <token>"
<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Returns the task dependency templates for a given task template.

Next
Built with
Required Permissions
The user must be an admin or have task-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskBundleIdstringRequiredformat: "uuid"
The id of the task bundle.
taskDependencyTemplateIdstringRequiredformat: "uuid"
The task Dependency Template Id.

Response

No Content

Errors

401
Unauthorized Error
404
Not Found Error